﻿using System;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;

public class Usuario_DAL
{
    private int _idUsuario;

	public Usuario_DAL(int idUsuario)
	{
        _idUsuario = idUsuario;
	}

    public DataTable leerOpciones()
    {
        SqlConnection cnn = new SqlConnection(ConfigurationManager.ConnectionStrings["miBaseDatos"].ConnectionString);
        SqlCommand cmd = new SqlCommand("uspListarOpcionesUsuario", cnn);

        cmd.CommandType = CommandType.StoredProcedure;
        cmd.Parameters.Add("@idUsuario", SqlDbType.Int).Value = _idUsuario;

        cnn.Open();
        DataTable dtt = new DataTable();
        dtt.Load(cmd.ExecuteReader(), LoadOption.OverwriteChanges);
        cnn.Close();

        return dtt;
    }
}