﻿using System;
using System.Data;
using System.Web.UI.WebControls;

public class Usuario_BLL
{
	public Usuario_BLL(){}

    public void cargarOpcionesUsuario(int idUsuario, TreeView tvw)
    {
        string grupo = "", modulo = "";

        TreeNode nodoG = new TreeNode();
        TreeNode nodoM = new TreeNode();

        Usuario_DAL user = new Usuario_DAL(idUsuario);
        DataTable dtt = user.leerOpciones();
        
        for (int i = 0; i < dtt.Rows.Count; i++)
        {
            DataRow filaM = dtt.Rows[i];

            if (modulo != filaM[1].ToString())
            {
                grupo = filaM[3].ToString();
                nodoG = new TreeNode(grupo, filaM[2].ToString());

                modulo = filaM[1].ToString();
                nodoM = new TreeNode(modulo, filaM[0].ToString());

                nodoG.ChildNodes.Add(new TreeNode(filaM[5].ToString(), filaM[4].ToString(), "", filaM[6].ToString(), "_self"));
                nodoM.ChildNodes.Add(nodoG);
                tvw.Nodes.Add(nodoM);
            }
            else
            {
                if (grupo != filaM[3].ToString())
                {
                    grupo = filaM[3].ToString();
                    nodoG = new TreeNode(grupo, filaM[2].ToString());
                    nodoM.ChildNodes.Add(nodoG);
                }
                nodoG.ChildNodes.Add(new TreeNode(filaM[5].ToString(), filaM[4].ToString(), "", filaM[6].ToString(), "_self"));
            }
        }
        dtt.Dispose();
        dtt = null;
    }
}